Retrieves the agreement questionnaire of the given agreement type and agreement ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Retrieves the agreement questionnaire of the given agreement type and agreement ID
Permissions required: Onboarding
Retrieves the agreement questionnaire for the specified agreement type and agreement ID
GET
/
onboarding
/
agreements
/
{agreementType}
/
{agreementId}
Retrieves the agreement questionnaire of the given agreement type and agreement ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}/{agreementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The unique identifier for the agreement type
Available options:
terms The unique identifier for the agreement ID
Response
Success on fetching KYC agreement
Show child attributes
Show child attributes
Was this page helpful?